Bug 621366 - Add notes about log files
Add notes about log files
Status: CLOSED WORKSFORME
Product: Red Hat Update Infrastructure for Cloud Providers
Classification: Red Hat
Component: Documentation (Show other bugs)
1.1
All Linux
low Severity medium
: ---
: ---
Assigned To: Lana Brindley
wes hayutin
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-08-04 16:47 EDT by Jay Dobies
Modified: 2011-07-05 20:05 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-07-05 20:05:48 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jay Dobies 2010-08-04 16:47:01 EDT
I'm not sure how deep we want to go with these docs, but in case we want to mention it, here is a description of the log files the RHUA and RHUI Tools use in case the user needs them:


RHUA
/var/log/rhua/rhua.log - General RHUA output.
/var/log/rhua/grinder.log - Package sync output.
/var/log/rhua/<cds_hostname>.repo - Repo file used by monitoring to test the connection to that CDS through yum.
/var/log/rhua/<cds_hostname>.out - Output from the last attempt by monitoring to test the connection to that CDS through yum.
/var/log/rhua/<cds_hostname>.err - Errors from the last attempt by monitoring to test the connection to that CDS through yum.

For rhua.log and grinder.log, these are automatically rotated out when they reach 1MB. The most recent 4 versions are kept in addition to the one currently being used.

CDS
/var/log/cds/repo_entitlement.log - Information on the CDS testing of the client's entitlement certificate when accessing resources on the CDS.

RHUI
/var/log/rhui.log - All RHUI Tools logging output.
Comment 1 John Ha 2010-08-05 17:18:39 EDT
Added the content on log files to the Monitoring chapter in the latest draft on docs stage:

http://documentation-stage.bne.redhat.com/docs/en-US/Red_Hat_Update_Infrastructure/1.1/html/Deployment_Guide/index.html

Thanks for the additional content!
Comment 2 wes hayutin 2010-08-18 13:46:06 EDT
The following log files are available for viewing or troubleshooting issues.
RHUI
/var/log/rhui.log — All RHUI Tools logging output.
RHUA
/var/log/rhua/rhua.log — General RHUA output.
/var/log/rhua/grinder.log — Package sync output.
/var/log/rhua/<cds_hostname>.repo — Repo file used by monitoring to test the connection to that CDS through yum.
/var/log/rhua/<cds_hostname>.out — Output from the last attempt by monitoring to test the connection to that CDS through yum.
/var/log/rhua/<cds_hostname>.err — Errors from the last attempt by monitoring to test the connection to that CDS through yum.
The rhua.log and grinder.log files are automatically written to a new enumerated log file when the base file reaches 1MB in size. The most recent four versions are kept in addition to the currently written file.
CDS
/var/log/cds/repo_entitlement.log — Information on the CDS testing of the client's entitlement certificate when accessing resources on the CDS.

Note You need to log in before you can comment on or make changes to this bug.